*****  This is ncr6b.sps  27.3.96
*****  Here we create some variables that are to be used in the
*****  Union paper.


get file=ncr6a.sav
set length=none

*****  Odd hours var

freq vars=n4326,n4327,n4328,n4329,n4330

compute hrs61081=-999
if (n4326=1) hrs61081=1
if (n4326=2) hrs61081=0
compute oddhrs81=-999
if (n4327=1 or n4328=1) oddhrs81=1
if (n4327=2 and n4328=2) oddhrs81=0
compute hrstsu81=-999
if (n4329=1 or n4330=1) hrstsu81=1
if (n4329=2 and n4330=2) hrstsu81=0
freq vars=oddhrs81,hrs61081,hrstsu81

compute oddhrs91=-999
compute hrs61091=-999
compute hrstsu91=-999
if (n500613=1 or n500614=1) hrstsu91=1
if (n500613=2 and n500614=2) hrstsu91=0
if (n500572=1) hrs61091=1
if (n500572=2) hrs61091=0
if (n500573=1 or n500574=1) oddhrs91=1
if (n500573=2 and n500573=2) oddhrs91=0
freq vars=oddhrs91,hrs61091,hrstsu91

****************************************************************
****** Voting variables

compute vote79=-999
if (n5959=1) vote79=1
if (n5959=2) vote79=0
compute cons79=-999
if (vote79=0) cons79=0
if (vote79=1 and n5960=1) cons79=1
if (vote79=1 and n5960 ne 1) cons79=0
compute lab79=-999
if (vote79=0) lab79=0
if (vote79=1 and n5960=2) lab79=1
if (vote79=1 and n5960 ne 2) lab79=0
compute lib79=-999
if (vote79=0) lib79=0
if (vote79=1 and n5960=3) lib79=1
if (vote79=1 and n5960 ne 3) lib79=0
crosstab tables=vote79 by n5960/missing=include

compute vote87=-999
if (n504635=1) vote87=1
if (n504635=2) vote87=0
do repeat part=cons87,lab87,lib87/parta=1,2,3/
compute part=-999
if (vote87=1 and n504636=parta) part=1
if (vote87=0) part=0
if (vote87=1 and n504636 ne parta) part=0
end repeat
crosstab tables=vote87 by n504636/missing=include

freq vars=vote79,vote87,cons79,cons87,lab79,lab87,lib79,lib87

*********************************************************************
***** past tu membership and coverage


compute tucov81=-999
if (n4250=1) tucov81=1
if (n4250=2) tucov81=0
freq vars=tucov81
recode n504647,n504648 (sysmis=-999)
if (n504647=3 or n504647=8) n504648=9
crosstab tables=n504647 by n504648/missing=include
crosstab tables=n504648 by dstat91/missing=include
crosstab tables=n504647 by tum81/n504648 by tum91/
 n504647 by tum81 by tum91/ missing=include

*********************************************************************
*****  part-time/ full-time dummies

compute pt91=-999
if (cstat=2) pt91=1
if (dstat91=1 and cstat ne 2) pt91=0
missing values pt91 (-999)
crosstab tables=dstat91 by pt91/cstat by dstat91/missing=include
compute pt81=-999
if (econst81=3) pt81=1
if (dstat81=1 and econst81 ne 3) pt81=0
crosstab tables=dstat81 by pt81/econst81 by dstat81/missing=include

*********************************************************************
***** Industrial classifications

compute ind81=n6145
recode ind81 (1 thru 3=1) (11 thru 17=2) (21 thru 26=3) (31 thru 38=4)
 (41 thru 49=5) (50=6) (61 thru 67=7) (71 thru 79=8) (81 thru 86=9)
 (90 thru 99=10) (else=-999)
compute ind91=sic80
recode ind91 (1 thru 990=1) (1100 thru 1990=2) (2000 thru 2990=3)
 (3000 thru 3890=4) (4000 thru 4990=5) (5000 thru 5990=6) (6000 thru 6990=7)
 (7000 thru 7990=8) (8000 thru 8990=9) (9000 thru 9990=10) (else=-999)
recode ind81,ind91 (sysmis=-999)
missing values ind81,ind91 (-999)

freq vars=ind81,ind91
********************************************************************

save outfile=ncr6b.sav

finish
