get file=ncr6b.sav



*****  This creates the necessary datafile for the union
*****  membership paper Wiji 27.3.96
*****  This file is called uncr7.sps

select if (item0622=1 and prncds4=1 and prncds5=1)

set length=none


recode ftexp81 (999=-999)
recode tenure81 (lo thru -0.5=-999)
recode njob91 (0=-999)
compute njob91=njob91-1
compute njob81=njob81-1
if (dstat81=1 and tenure81=0) tenure81=0.5
if (dstat91=1 and tenure91=0) tenure91=0.5

compute region91=region
compute region81=a8113

recode region91 (1=10)(2=9)(3=8)(4=5)(5=6)(6=7)(7=3)(8=2)(9=1)(10=4)(11=11)
             
recode region81 (13,14,15,16=-999)


*****  These are the regional unemployment rates for the two years.
*****  1=gr.london,2=se,3=sw,4=wales,5=w.midlands,6=e.midland,
*****  7=e.anglia,8=yorks and humberside,9=n.west,10=north,11=scotland.
*****


recode region81 (1,2=8.1)(3=10.0)(4=14.8)(5=13.7)(6=10.2)(7=9.2)(8=12.3)
 (9=13.9)(10=15.3)(11=13.8) into regurt81
recode region91 (1,2=6.9)(3=6.9)(4=9.0)(5=8.4)(6=7.2)(7=5.9)(8=8.7)
 (9=9.4)(10=10.3)(11=8.8) into regurt91


recode dmath,dread,gram,private,dirgrant,
 socmaj81,socmaj91,nokid81,nokid91,
 region81,region91,regurt81,regurt91,tenure91,tenure81,dadlsu16,white,
 appr,sch17,sch18,dsabaw81,dsabaw91,dsoc1 to dsoc5,mar81,mar91,
 tum81,tum91,priv81,priv91,sz811,sz812,sz813,sz814,sz911,sz912,sz913,sz914,
 quapre23,quaf81,qupr81,njob81,njob91,ftexp81,ftexp91,a8113,
 ghpay81,ghpay91,n504647,n504648 (sysmis,-1=-999)

missing values dmath,dread,gram,private,dirgrant,
 socmaj81,socmaj91,nokid81,nokid91,
 region81,region91,regurt81,regurt91,tenure91,tenure81,dadlsu16,white,
 appr,sch17,sch18,dsabaw81,dsabaw91,dsoc1 to dsoc5,mar81,mar91,
 tum81,tum91,priv81,priv91,sz811,sz812,sz813,sz814,sz911,sz912,sz913,sz914,
 quapre23,njob81,njob91,ftexp81,ftexp91,a8113,
 ghpay81,ghpay91,n504647,n504648 (-999)



recode qupr81 (-999=-999)(0=0) (1,2=1) (3=2) (4=3) (5,6=4) into qual81
recode quaf81 (-999=9)(0=0) (1,2=1) (3=2) (4=3) (5,6=4) into qual91




if (qual91=9 and qual81 ge 0) qual91=qual81
if (qual91 eq 1 and qual81 gt 1) qual91=qual81
if (qual91 eq 2 and qual81 gt 2) qual91=qual81
if (qual91 eq 3 and qual81 gt 3) qual91=qual81

recode qual91 (9=-999)

missing values qual81,qual91,qupr81,quaf81 (-999)

condes vars=dmath,dread,gram,private,dirgrant,socmaj81,socmaj91,
 nokid81,nokid91,regurt81,regurt91,
 dadlsu16,white,appr,dsoc1 to dsoc5,mar81,mar91,tum81,tum91,priv81,priv91,
 sz811,sz812,sz813,sz814,sz911,sz912,sz913,sz914,
 ftexp81,ftexp91,dstat81,dstat91,tucov81,n504647,n504648,
 



select if (temp81 ne 1 and temp91 ne 1)

select if (fted81 ne 1 and fted91 ne 1)

condes vars=dmath,dread,gram,private,dirgrant,socmaj81,socmaj91,
 nokid81,nokid91,regurt81,regurt91,
 dadlsu16,white,appr,dsoc1 to dsoc5,mar81,mar91,tum81,tum91,priv81,priv91,
 sz811,sz812,sz813,sz814,sz911,sz912,sz913,sz914,
 ftexp81,ftexp91,dstat81,dstat91,tucov81,n504647,n504648,

select if (tum81 ne -999 and tum91 ne -999)

condes vars=dmath,dread,gram,private,dirgrant,socmaj81,socmaj91,
 nokid81,nokid91,regurt81,regurt91,
 dadlsu16,white,appr,dsoc1 to dsoc5,mar81,mar91,tum81,tum91,priv81,priv91,
 sz811,sz812,sz813,sz814,sz911,sz912,sz913,sz914,
 ftexp81,ftexp91,dstat81,dstat91,tucov81,n504647,n504648,

select if (dstat81=1)
condes vars=dmath,dread,gram,private,dirgrant,socmaj81,socmaj91,
 nokid81,nokid91,regurt81,regurt91,
 dadlsu16,white,appr,dsoc1 to dsoc5,mar81,mar91,tum81,tum91,priv81,priv91,
 sz811,sz812,sz813,sz814,sz911,sz912,sz913,sz914,
 ftexp81,ftexp91,dstat81,dstat91,tucov81,n504647,n504648,
select if (dstat91=1)
condes vars=dmath,dread,gram,private,dirgrant,socmaj81,socmaj91,
 nokid81,nokid91,regurt81,regurt91,
 dadlsu16,white,appr,dsoc1 to dsoc5,mar81,mar91,tum81,tum91,priv81,priv91,
 sz811,sz812,sz813,sz814,sz911,sz912,sz913,sz914,
 ftexp81,ftexp91,dstat81,dstat91,tucov81,n504647,n504648,

crosstabs tables=tum81 by dstat81/tum91 by dstat91/missing=include

compute region81=a8113
compute region91=region



condes vars=dmath,dread,gram,private,dirgrant,
 socmaj81,socmaj91,nokid81,nokid91,
 region81,region91,regurt81,regurt91,tenure91,tenure81,dadlsu16,white,
 appr,sch17,sch18,dsabaw81,dsabaw91,dsoc1 to dsoc5,mar81,mar91,
 tum81,tum91,priv81,priv91,sz811,sz812,sz813,sz814,sz911,sz912,sz913,sz914,
 quapre23,quaf81,qupr81,njob81,njob91,ftexp81,ftexp91,
 ghpay81,ghpay91,qual81,qual91,dstat81,dstat91


******************************************************************
******************************************************************
comment
comment  THIS CREATES THE PANEL
comment
******************************************************************
******************************************************************
recode tucov81,region81 region91 (sysmis,-1,-999=-9)

compute aind=n6145
compute bind=sic80
recode aind bind (sysmis=-999)
recode aind, bind (lo thru 0=-999)

do repeat a=socmaj81,mar81,nokid81,region81,tenure81,dsabaw81,tum81,
            priv81,sz811,sz812,sz813,sz814,qual81,njob81,ftexp81,dstat81,
            ghpay81,regurt81/
          b=socmaj91,mar91,nokid91,region91,tenure91,dsabaw91,tum91,
            priv91,sz911,sz912,sz913,sz914,qual91,njob91,ftexp91,dstat91,
            ghpay91,regurt91/
recode a,b (-999=-9)

if (a=-9) b=-999
if (b=-9) a=-999
end repeat

do repeat a=oddhrs81,hrs61081,hrstsu81,vote79,cons79,lab79,lib79,ind81,aind/
          b=oddhrs91,hrs61091,hrstsu91,vote87,cons87,lab87,lib87,ind91,bind/
recode a,b (-999=-9)
if (a=-9) b=-999
if (b=-9) a=-999
end repeat

recode socmaj81,mar81,nokid81,region81,tenure81,dsabaw81,tum81,
       priv81,sz811,sz812,sz813,sz814,qual81,njob81,ftexp81,dstat81,
       ghpay81,regurt81,
       socmaj91,mar91,nokid91,region91,tenure91,dsabaw91,tum91,
       priv91,sz911,sz912,sz913,sz914,qual91,njob91,ftexp91,dstat91,
       ghpay91,regurt91 (-9=-999)
recode oddhrs81,hrs61081,hrstsu81,vote79,cons79,lab79,lib79,ind81,aind,bind,
       oddhrs91,hrs61091,hrstsu91,vote87,cons87,lab87,lib87,ind91 (-9=-999)

missing values oddhrs81,hrs61081,hrstsu81,vote79,cons79,lab79,lib79,ind81,
       oddhrs91,hrs61091,hrstsu91,vote87,cons87,lab87,lib87,ind91,tucov81,
       aind,bind
       (-999)

missing values socmaj81,mar81,nokid81,region81,tenure81,dsabaw81,tum81,
       priv81,sz811,sz812,sz813,sz814,qual81,njob81,ftexp81,dstat81,
       ghpay81,regurt81,
       socmaj91,mar91,nokid91,region91,tenure91,dsabaw91,tum91,
       priv91,sz911,sz912,sz913,sz914,qual91,njob91,ftexp91,dstat91,
       ghpay91,regurt91 (-999)
 
compute dsoc123=dsoc1+dsoc2+dsoc3
compute dsoc45=dsoc4+dsoc5
compute gramdirg=gram+dirgrant
compute sch16=1-sch17-sch18

write outfile=unlim.dat table/
 tucov81,n504647,n504648,dmath,dread,gramdirg,private,
 appr,sch16,dsoc123,dsoc45,dadlsu16,white,socmaj81,mar81,nokid81,
 region81,tenure81,dsabaw81,tum81,priv81,sz812,sz813,sz814,qual81, 
 njob81,ftexp81,dstat81,ghpay81,regurt81,ind81,aind,vote79,cons79,lab79,lib79,
 oddhrs81,hrs61081,hrstsu81,pt81,
 tucov81,n504647,n504648,dmath,dread,gramdirg,private,
 appr,sch16,dsoc123,dsoc45,dadlsu16,white,socmaj91,mar91,nokid91,
 region91,tenure91,dsabaw91,tum91,priv91,sz912,sz913,sz914,qual91,
 njob91,ftexp91,dstat91,ghpay91,regurt91,ind91,bind,vote87,cons87,lab87,lib87,
 oddhrs91,hrs61091,hrstsu91,pt91
 (20f4.0/8f4.0,2f8.2,10f4.0/20f4.0/8f4.0,2f8.2,10f4.0)

condes vars=dmath,dread,gramdirg,private,
 socmaj81,socmaj91,nokid81,nokid91,
 region81,region91,regurt81,regurt91,tenure91,tenure81,dadlsu16,white,
 appr,sch16,dsabaw81,dsabaw91,dsoc123,dsoc45,mar81,mar91,
 tum81,tum91,priv81,priv91,sz811,sz812,sz813,sz814,sz911,sz912,sz913,sz914,
 quapre23,quaf81,qupr81,njob81,njob91,ftexp81,ftexp91,
 ghpay81,ghpay91,qual81,qual91,dstat81,dstat91,
 tucov81,vote79,vote87,cons79,cons87,lab79,lab87,lib79,lib87,
 oddhrs81,oddhrs91,hrs61081,hrs61091,hrstsu81,hrstsu91

freq vars=dmath,dread,gramdirg,private,socmaj81,socmaj91,nokid81,nokid91,
 region81,region91,dadlsu16,white,appr,sch16,dsabaw81,dsabaw91,
 dsoc123,dsoc45,qual81,qual91,
 mar81,mar91,tum81,tum91,priv81,priv91,sz811,sz812,sz813,sz814,sz911,sz912,
 sz913,sz914,quapre23,quaf81,qupr81,njob81,njob91,dstat81,dstat91,ind81,ind91
 aind,bind


execute
finish

